Fulfillment (PrestaShop)

Create Order Fulfillment

This endpoint allows you to create a fulfillment for a specific order.

To successfully fulfill an order, both the companyId and tracking information are required.

How to Get the companyId

  • Retrieve the companyId from the shippingOptionReference field in the Get Single Order response.

  • If this ID does not match your carrier, select an appropriate ID to represent your carrier and ask the seller to add it to their store settings.

  • If you're unsure which ID to use or don't see your carrier listed, check our Shipping Resource to review all available shipping options in the store.

Request Body

{
    "fulfillment": {
		"tracking":{
			"companyId": "99",
            "number":"123456"
		},
        "package":{
            "dimensions":{
			    "weight":"1"
            }
        }
    }
}

Response

The response for this request can be documented as a JSON schema:

{
  "type": "object",
  "properties": {
    "success": {
      "type": "boolean"
    },
    "fulfillment": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string"
        },
        "shippingMethod": {
          "type": "object",
          "properties": {
            "id": {
              "type": ["string", "null"]
            },
            "service": {
              "type": ["string", "null"]
            }
          }
        },
        "tracking": {
          "type": "object",
          "properties": {
            "number": {
              "type": "string"
            },
            "url": {
              "type": ["string", "null"]
            },
            "company": {
              "type": "string"
            }
          }
        },
        "status": {
          "type": "object",
          "properties": {
            "id": {
              "type": ["string", "null"]
            },
            "status": {
              "type": ["string", "null"]
            },
            "shipment": {
              "type": ["string", "null"]
            }
          }
        },
        "items": {
          "type": "array"
        },
        "packages": {
          "type": "array"
        },
        "dates": {
          "type": "object",
          "properties": {
            "createdAt": {
              "type": "string"
            },
            "updatedAt": {
              "type": ["string", "null"]
            },
            "shippedAt": {
              "type": ["string", "null"]
            }
          }
        }
      }
    }
  }
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The unique identifier of the order.

Body Params
fulfillment
object
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json